# SPDX-License-Identifier: CC0-1.0

{ stdenv, fetchgit, tup }:

stdenv.mkDerivation rec {
  pname = "block_router";
  version = "0.1.1";

  nativeBuildInputs = [ tup ];

  src = fetchgit {
    url = "https://git.sr.ht/~ehmry/block_router";
    rev = "3790a4f995b5e76d0cc290b1847761ec1a398276";
    sha256 = "1qilw3gg9gzagwlh4djqxic2ggwnljnrazklp367q2f42hb14vxy";
  };

  installPhase = "install -Dm755 {.,$out}/block_router";

  meta = with stdenv.lib; {
    license = licenses.agpl3;
    maintainers = [ maintainers.ehmry ];
  };

}
